/* ##########################################################################

    Copyright 2004-2009:
    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
    http://www.uhu.es/antonio.barragan
    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es

    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
    E.P.S. LA RABIDA, UNIVERSITY OF HUELVA (SPAIN)

    For more information, please contact with authors.

########################################################################## */
/*
    This software is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _RULE_H_
#define _RULE_H_

#include <stdio.h>
#include <iostream>
#include "membership.h"
#include "messages.h"

#if defined (MATLAB_MEX_FILE) // For compile in MATLAB
	#ifndef _MEX_H_
		#define _MEX_H_
		#include "mex.h"
	#endif
#endif

// Declarations ################################################################

class Rule
{
    int in; // Number of inputs of the rule
    double *TSK; // TSK consequent of the rule
    Membership **membership; // Membership functions of the rule
    inline void clean(void); // Clean the dynamic memory
public:
    int n_inputs(void) const;
    int test(void) const; // Returns 1 if all parameters of all membership functions of the rule are valid
    int write_TSK(double value, int input); // Return 0 if error
    double read_TSK(int input) const; // Read a TSK parameter
    int read_function(Membership &P, int input) const; // Extract a membership function
    Membership *read_function(int input); // Extract a membership function
    int write_function(const Membership &P, int input); // Write a membership function
    int change_function(TYPE_MF type,int input); // Change the type of a membership function
    void initialize(int in); // Initialice the rule
    Rule &operator=(const Rule &R);
    Rule();
    Rule(const Rule &R);
    Rule(int in);
    ~Rule();
};

#endif
