% APROXJAC Calcula la jacobiana del sistema de lazo cerrado utilizando diferencias finitas.
%
%       J=aproxjac(X, Plant, Controller, h)
%
% Arguments:
%
%   X -> State vector (column vector).
%
%   Plant -> Fuzzy model of Plant.
%
%   Controlador -> Fuzzy model of Controller.
%
%	h -> Increment. Optional. Default value is 0.001;
%
%   J -> Jacobian matrix of closed loop system.
%
%                                    (  df1          dfn  )
%       dx1                          | -----   ...  ----- |
%      ----- = f1(x)                 |  dx1          dxn  |
%       dt                           |                    |
%       ...                      J = |  ...    ...   ...  |
%       dxn                          |                    |
%      ----- = fn(x)                 |  dfn          dfn  |
%       dt                           | -----   ...  ----- |
%                                    (  dx1          dxn  )
%      x = [ x1 ; x2 ; ... ; xn]
%
% Fuzzy models could be a '.txt' or '.fis' file, or a 'FIS' variable from MATLAB
% Workspace. (See 'Fuzzy Logic Toolbox' help for more information about FIS).
%
%  See also FIS2TXT, FUZCOMB, FUZEVAL, FUZEQ, FUZJAC, FUZLINEAR, FUZPRINT, TXT2FIS
%
% ##########################################################################
%
% Authors:
%    Antonio Javier Barragán Piña
%    URL: http://www.uhu.es/antonio.barragan
%    e-mail: antonio.barragan@diesia.uhu.es
%    
%    José Manuel Andújar Márquez
%    e-mail: andujar@diesia.uhu.es
%
% Department of Electronics Engineering, Computer Systems and Automatics
% EPS La Rábida, University of Huelva (Spain)
%
% ##########################################################################
