function M=chol_vector2matrix(vector,EigMin)
% Crea una matriz desde un vector que representa la matriz triangular de la descomposiciï¿½n de Cholesky 
%
% function M=chol_vector2matrix(vector,EigMin)
%
% DESCRIBIR LOS ARGUMENTOS
%
n=roots([1 1 -2*length(vector)]);n=n(2);
if (floor(n)~=ceil(n))
    error('El vector no tiene un tamaï¿½o correcto para reconstruir una matriz por Cholesky.')
end
Mt=zeros(n);
incremento=1;
for i=1:n
    Mt(i,i:end)=vector(incremento:incremento+(n-i));
    incremento=incremento+(n-i)+1;
end
% Aseguro que los tï¿½rminos de la diagonal sean positivos
    Diagonal=abs(Mt(1:n+1:end));
    
% TEMPORAL - PRUEBA ----------------------------------------------
% Diagonal(find(Diagonal<1e-3))=1;
% ----------------------------------------------------------------

    Mt(1:n+1:end)=Diagonal;
% Se calcula M
    M=Mt'*Mt;
    
    
% Su los autovalores son menores que EigMin, se modifica M por otra valida
    try
        E=eig(M);
% M=M/abs(min(E));
    catch
        M=eye(n);
        return
    end
    if any(E<EigMin) | any(E>5e3)
        M=eye(n);
%        M=EigMin*M/min(E);
    end