function Modelo=consec2fuz(Modelo,vector)
% CONSEC2FUZ Almacena el vector como los datos de los consecuentes del Modelo borroso.
% function Modelo_nuevo=consec2fuz(Modelo,vector)
%
% Modelo -> Modelo borroso de tipo Sugeno.
% Vector -> Vector fila con todos los consecuentes del Modelo. Para evitar errores es aconsejable
% obtener el vector inicial mediante la función 'fuz2consec'.

if ~strcmpi('sugeno',Modelo.type)
    error('El Modelo debe ser de tipo Sugeno.')
end
indice=1;
try
    for r=1:length(Modelo.rule) % Para cada Regla
        for o=1:length(Modelo.rule(r).consequent) % Cada Salida
            fp=Modelo.rule(r).consequent(o);
            if fp
                i=length(Modelo.output(o).mf(fp).params);
                Modelo.output(o).mf(fp).params=vector(indice:indice+i-1); % Se alamacenan los datos del consecuente
                indice=indice+i;
            end
        end
    end
catch
    error('El vector de consecuentes no se corresponde con el modelo.')
end