function [x,fval,exitflag,output]=find_pe(X0,S,C,Opciones)
% Busca el Punto de Equilibrio del Sistema S, con o sin el Controlador C
% (segun se incluya este o no).
%
% X0 -> Punto Inicial
% S -> Planta
% C -> Controlador (Opcional)
% Opciones -> Estructura con las opciones del algoritmo numrico (ver optimset).
%
% Si no se desea usar controlador, pero si pasar Opciones, asignarle a este una matriz vacia -> [].

if (exist('Opciones')==0 || isempty(Opciones))
    % Conjunto de Opciones por Defecto si no se especifican externamente
    Opciones=optimset('Display','iter','Jacobian','off');    
    Jac=0; % Jac=0 -> sin Jacobiano
else
    Jac=strcmpi(optimget(Opciones,'Jacobian'),'on');
end

if (Jac==1)
    Opciones=optimset(Opciones,'Jacobian','on');
    funcion=@f_pq_j;
else
    funcion=@f_pq;
end

if (isempty(C))
    [x,fval,exitflag,output]=fsolve(funcion,X0,Opciones,S);
else
    [x,fval,exitflag,output]=fsolve(funcion,X0,Opciones,S,C);
end
