% FUZCOMB Combine some fuzzy models in one.
% 
%         fuzcomb(Combine_Model_TXT,Model1, Model2,...)
%
%         Combine_Model_FIS = fuzcomb(Model1, Model2,...)
%
% Arguments:
% 
%     Combine_Model_TXT -> String with the name of TXT file to write with the
%                          combine model. This file will be overwrited withput
%                          confirmation.
%
%     Combine_Model_FIS -> Variable 'FIS' to write the combine model.
%
%     ModelX -> Fuzzy models to combine. These models must have the same number
%               of inputs. They could be a '.txt' or '.fis' file, or a 'FIS'
%               variable from MATLAB Workspace. (See 'Fuzzy Logic Toolbox' help
%               for more information about FIS).
%
% To simulate this combine model should use 'fuzeval' function.
%     
%  See also FIS2TXT, FUZEVAL, FUZEQ, FUZJAC, FUZLINEAR, FUZPRINT, TXT2FIS
%
% ##########################################################################
%
% Authors:
%    Antonio Javier Barragn Pia
%    URL: http://www.uhu.es/antonio.barragan
%    e-mail: antonio.barragan@diesia.uhu.es
%    
%    Jos Manuel Andjar Mrquez
%    e-mail: andujar@diesia.uhu.es
%
% Department of Electronics Engineering, Computer Systems and Automatics
% EPS La Rbida, University of Huelva (Spain)
%
% #########################################################################
