% TXT2FIS Read a TXT fuzzy model and create a MATLAB's FIS variable.
% 
%         FIS_Model = txt2fis('File.txt')
% 
% The range of inputs are defined as [-100,100]. Use command window to modify
% these. for example:
%
%                FIS_Model.input(1).range=[-10,15];
%                FIS_Model.input(2).range=[0,10];
%
% Arguments:
% 
%     'File.txt' -> String with the name of file to read.
%
%     Model -> 'FIS' fuzzy model (See 'Fuzzy Logic Toolbox' help for more
%               information about FIS).
%     
%  See also FIS2TXT, FUZCOMB, FUZEVAL, FUZEQ, FUZJAC, FUZLINEAR, FUZPRINT
%
% ##########################################################################
%
% Authors:
%    Antonio Javier Barragn Pia
%    URL: http://www.uhu.es/antonio.barragan
%    e-mail: antonio.barragan@diesia.uhu.es
%    
%    Jos Manuel Andjar Mrquez
%    e-mail: andujar@diesia.uhu.es
%
% Department of Electronics Engineering, Computer Systems and Automatics
% EPS La Rbida, University of Huelva (Spain)
%
% #########################################################################
